[data-form] {
    padding: 0.25rem;
    width: 70%;
    max-width: 50rem;
    margin: 0 auto;
}

[data-form] [type="text"],
[data-form] [type="password"],
[data-form] [type="email"],
[data-form] [type="number"],
[data-form] [type="range"],
[data-form] [type="url"],
[data-form] select,
[data-form] [type="date"],
[data-form] [type="datetime"],
[data-form] [type="datetime-local"],
[data-form] [type="month"],
[data-form] [type="week"],
[data-form] [type="search"],
[data-form] [type="tel"],
[data-form] [type="time"],
[data-form] [type="color"] {
    margin: 0 0 0.5rem 0;
    padding: 0 0.5rem;
    width: 100%;
    height: 2rem;
}

[data-form] [type="range"], [data-form] select {
    -moz-appearance: none;
    background-color: #fefefe;
    border: 1px solid #cacaca;
    border-radius: 3px;
    box-shadow: 0 1px 2px rgba(10, 10, 10, 0.1) inset;
    box-sizing: border-box;
    color: #0a0a0a;
    display: block;
    font-family: inherit;
    font-size: 1rem;
    height: 2.4375rem;
    padding: 0.5rem;
    transition: box-shadow 0.5s ease 0s, border-color 0.25s ease-in-out 0s;
}

[data-form] textarea {
    margin-left: 0;
}

[data-form] [type="checkbox"], [data-form] [type="checkbox"] + span {
    cursor: pointer;
}

[data-form] textarea {
    margin: 0 0.25rem 0.5rem 0.25rem;
}

[data-form] [type="radio"] {
    margin: 0 0.5rem 0 1.5rem;
}

[data-form] legend {
    margin: 0 0.25rem;
}

[data-form] [type="range"] {
    width: 95%;
    box-shadow: none;
}

[data-form] .preview[data-range] {
    float: right;
    margin-right: 0.25rem;
    background-color: #fff;
    border: 1px solid #999;
    border-radius: 50%;
    font-family: arial,sans-serif;
    font-size: 0.9em;
    height: 25px;
    line-height: 25px;
    margin-top: -2.5rem;
    text-align: center;
    width: 25px;
}

[data-form] [data-constraint]{
    font-size: 0.8em;
    font-style: italic;
}

[data-form] [data-label-constraints] {
    font-weight: lighter;
}

[data-form] [data-label-constraints]::before {
    content: " (";
}

[data-form] [data-label-constraints]::after {
    content: ")";
}

[data-form] [data-multiple]{
    background-color: #eee;
    border-radius: 3px;
    margin: 0.2rem 0 0.5rem 0;
    padding: 0.5rem;

}

[data-form] [data-multiple] [data-entry] {
    background-color: #fff;
    padding-bottom: 0.3rem;
    border: 1px solid #cacaca;
    margin-bottom: 0.5rem;
}

[data-form] [data-multiple] [data-entry][data-single-field-no-label] {
    background-color: #eee;
    padding-bottom: 0;
    border-width: 0;
    margin-bottom: 0.5rem;
}

[data-form] [data-multiple] [data-entry] input,
[data-form] [data-multiple] [data-entry] select,
[data-form] [data-multiple] [data-entry] textarea {
    padding: 0 0.5rem;
    margin-bottom: 0;
}

[data-form] [data-multiple] [data-entry] .preview[data-range] {
    margin-top: -2rem;
}

[data-form] [data-multiple] [data-entry] [data-action="del"] {
    margin-right: 0;
    font-size: 0.8em;
    height: 2rem;
    padding: 0 0.25rem;
}

[data-form] [data-multiple] [data-action="add"] {
    margin: 0.5rem 0 0.5rem 1rem;
    font-size: 0.8em;
    height: 2rem;
    padding: 0 0.25rem;
}
[data-form] [data-multiple] fieldset[data-start-values="null"]{
    min-height: 2.3rem;
}

[data-form] [type="text"][data-valid="no"],
[data-form] textarea[data-valid="no"],
[data-form] [type="password"][data-valid="no"],
[data-form] [type="email"][data-valid="no"],
[data-form] [type="number"][data-valid="no"],
[data-form] [type="range"][data-valid="no"],
[data-form] [type="url"][data-valid="no"],
[data-form] select[data-valid="no"],
[data-form] [type="date"][data-valid="no"],
[data-form] [type="datetime"][data-valid="no"],
[data-form] [type="datetime-local"][data-valid="no"],
[data-form] [type="month"][data-valid="no"],
[data-form] [type="week"][data-valid="no"],
[data-form] [type="search"][data-valid="no"],
[data-form] [type="tel"][data-valid="no"],
[data-form] [type="time"][data-valid="no"],
[data-form] [type="color"][data-valid="no"] {
    border: 1px solid #ff8787;
    box-shadow: 0 1px 2px rgba(255, 10, 10, 0.3) inset;
    margin-bottom:0;
}

[data-form] [data-radio][data-valid="no"] [type="radio"] {
    background-color: rgba(255, 10, 10, 0.3);
}
[data-form] .error_hint {
    list-style-type: none;
    margin: 0 1rem 0 2rem;
    border-left: 1px solid #ff8787;
    font-style: italic;
    font-weight:bold;
    font-size: 0.80rem;
    color: #ec5840;
}
[data-form] [data-multiple] .error_hint {
    margin-bottom: 0.2rem;
}
[data-form] .error_hint li {
    padding: 0.25rem 0.5rem;
}
[data-form] label{
    position: relative;
}